services:
  db:
    image: mariadb
    ports:
      - 3306:3306
    environment:
      MARIADB_ROOT_PASSWORD: example
      MARIADB_DATABASE: dbname
      MARIADB_USER: user
      MARIADB_PASSWORD: password
  redis:
    image: redis
    ports:
      - 6379:6379
  s3:
    image: quay.io/minio/minio
    ports:
      - 9000:9000
      - 9001:9001
    environment:
      MINIO_ROOT_USER: example
      MINIO_ROOT_PASSWORD: password
    command: server /data --console-address ":9001"